<?php
/***************************************************************************/
/*  osCommerce, Open Source E-Commerce Solutions                           */
/*  http://www.oscommerce.com                                              */
/*  Released under the GNU General Public License                          */
/***************************************************************************/

@setlocale(LC_TIME, 'pt_BR');

define('DATE_FORMAT_SHORT', '%d/%m/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'd/m/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 0, 2) . substr($date, 3, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 3, 2) . substr($date, 0, 2);
  }
}

// return a dbase formatted date for ddmmyyyy format adjust if you use the mmddyyyy format
function tep_store_date ($date) {

   return substr($date, 6, 4) . '-' . substr($date, 3, 2) . '-' . substr($date, 0, 2) . ' ' . date('H:i:s');
  
  }

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'EUR');

// Global entries for the <html> tag
define('HTML_PARAMS','dir="LTR" lang="pt"');

// charset for web pages and emails
define('CHARSET', 'iso-8859-1');

// page title
define('TITLE', 'Loja Virtual');

// header text in includes/header.php
define('TABLE_HEADING_IMAGE','Imagem');
define('TABLE_HEADING_PRODUCTS','Produtos');
define('TABLE_HEADING_PRICE','Preo');
define('TABLE_HEADING_BUY_NOW','Compre Agora');
define('ERROR_AT_LEAST_ONE_INPUT','Digite algo referente ao produto');
define('ENTRY_COD_BARRA','Digite algo referente ao produto');
define('BOX_SEARCH_COD_BARRA','Buscar por Cdigo de Barra');
define('TEXT_CLICK_TO_ENLARGE', 'Ampliar Imagem');
define('HEADER_TITLE_CREATE_ACCOUNT', 'Criar uma conta');
define('HEADER_TITLE_MY_ACCOUNT', 'Minha Conta');
define('HEADER_TITLE_CART_CONTENTS', 'Suas Compras');
define('HEADER_TITLE_CHECKOUT', 'Realizar Pedido');
define('HEADER_TITLE_TOP', 'Home');
define('HEADER_TITLE_CATALOG', 'Loja');
define('HEADER_TITLE_LOGOFF', 'Sair');
define('HEADER_TITLE_LOGIN', 'Entrar');
define('TEXT_ENTER_PAYMENT_INFORMATION', 'Informaes de Pagamento');
define('TEXT_NOTIFY_PRODUCTS', 'Notificar produto(s)');
define('TEXT_THANKS_FOR_SHOPPING', 'OBRIGADO PELA COMPRA, VOLTE SEMPRE!');
define('ENTRY_TIPOPESSOA_TEXT', '* preencher campos abaixo apenas para Pessoas Jurdicas!');
define('ENTRY_TIPOPESSOA', 'Tipo Pessoa: ');
define('ENTRY_CELULAR_NUMBER', 'Celular: ');
define('ENTRY_CELULAR_NUMBER_TEXT', ' ');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', 'visitas desde');

// text for gender
define('MALE', 'Masculino');
define('FEMALE', 'Feminino');
define('MALE_ADDRESS', 'Sr.');
define('FEMALE_ADDRESS', 'Sra.');

// text for date of birth example
define('DOB_FORMAT_STRING', 'dd/mm/aaaa');

// categories box text in includes/boxes/categories.php
define('BOX_HEADING_CATEGORIES', 'Categorias');

// manufacturers box text in includes/boxes/manufacturers.php
define('BOX_HEADING_MANUFACTURERS', 'Fabricantes');

// whats_new box text in includes/boxes/whats_new.php
define('BOX_HEADING_WHATS_NEW', 'Novidades');

// quick_find box text in includes/boxes/quick_find.php
define('BOX_HEADING_SEARCH', 'Busca Rpida');
define('BOX_SEARCH_TEXT', 'Use palavras-chave para achar o que procura.');
define('BOX_SEARCH_ADVANCED_SEARCH', 'Busca Avanada');

// specials box text in includes/boxes/specials.php
define('BOX_HEADING_SPECIALS', 'Especiais');

// reviews box text in includes/boxes/reviews.php
define('BOX_HEADING_REVIEWS', 'Comentrio');
define('BOX_REVIEWS_WRITE_REVIEW', 'Escreva um comentrio neste produto!');
define('BOX_REVIEWS_NO_REVIEWS', 'No h comentrios atualizados para este produto');
define('BOX_REVIEWS_TEXT_OF_5_STARS', '%s de 5 Estrelas!');

// shopping_cart box text in includes/boxes/shopping_cart.php
define('BOX_HEADING_SHOPPING_CART', 'Suas Compras');
define('BOX_SHOPPING_CART_EMPTY', '&nbsp;&nbsp;&nbsp;0 artigos');

// order_history box text in includes/boxes/order_history.php
define('BOX_HEADING_CUSTOMER_ORDERS', 'Histrico de Pedidos');

// best_sellers box text in includes/boxes/best_sellers.php
define('BOX_HEADING_BESTSELLERS', 'Mais Vendidos');
define('BOX_HEADING_BESTSELLERS_IN', 'Mias Vendidos em<br>&nbsp;&nbsp;');

// notifications box text in includes/boxes/products_notifications.php
define('BOX_HEADING_NOTIFICATIONS', 'Notificaes');
define('BOX_NOTIFICATIONS_NOTIFY', 'Notifique-me de atualidades para<b>%s</b>');
define('BOX_NOTIFICATIONS_NOTIFY_REMOVE', 'Notifique-me de atualidades para<b>%s</b>');

// manufacturer box text
define('BOX_HEADING_MANUFACTURER_INFO', 'Informaes de Fabricante');
define('BOX_MANUFACTURER_INFO_HOMEPAGE', '%s Homepage');
define('BOX_MANUFACTURER_INFO_OTHER_PRODUCTS', 'Outros produtos');

// languages box text in includes/boxes/languages.php
define('BOX_HEADING_LANGUAGES', 'Idiomas');

// currencies box text in includes/boxes/currencies.php
define('BOX_HEADING_CURRENCIES', 'Moedas');

// information box text in includes/boxes/information.php
define('BOX_HEADING_INFORMATION', 'Informaes');
define('BOX_INFORMATION_PRIVACY', 'Notas de Privacidade');
define('BOX_INFORMATION_CONDITIONS', 'Condies de Uso');
define('BOX_INFORMATION_SHIPPING', 'Fretes e Devolues');
define('BOX_INFORMATION_CONTACT', 'Fale Conosco');

// tell a friend box text in includes/boxes/tell_a_friend.php
define('BOX_HEADING_TELL_A_FRIEND', 'Indique a um amigo');
define('BOX_TELL_A_FRIEND_TEXT', 'Diga para algum que voc conhea sobre esse produto.');

// checkout procedure text
define('CHECKOUT_BAR_DELIVERY', 'Informao de Entrega');
define('CHECKOUT_BAR_PAYMENT', 'Informao de Pagamento');
define('CHECKOUT_BAR_CONFIRMATION', 'Confirmao');
define('CHECKOUT_BAR_FINISHED', 'Terminado!');

// pull down default text
define('PULL_DOWN_DEFAULT', 'Por favor selecione');
define('TYPE_BELOW', 'Digite abaixo');

// javascript messages
define('JS_ERROR', 'Erros ocorreram durante o envio de seu formulrio.\n\nPor favor, faa as seguintes correes:\n\n');

define('JS_REVIEW_TEXT', '* O \'Review Text\' deve ter no mnimo ' . REVIEW_TEXT_MIN_LENGTH . ' caracteres.\n');
define('JS_REVIEW_RATING', '* Voc deve cotar o produto para seu comentrio.\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* Por favor, selecione a forma de pagamento para seu pedido.\n');

define('JS_ERROR_SUBMITTED', 'Este formulrio j foi enviado. Por favor pressione OK e aguarde o processo ser completado.');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', 'Por favor, selecione a forma de pagamento para seu pedido.');

define('CATEGORY_COMPANY', 'Detalhes da Empresa');
define('CATEGORY_PERSONAL', 'Seus detalhes Pessoais');
define('CATEGORY_ADDRESS', 'Seu Endereo');
define('CATEGORY_CONTACT', 'Suas Informaes de Contato');
define('CATEGORY_OPTIONS', 'Opes');
define('CATEGORY_PASSWORD', 'Sua Senha');

define('ENTRY_COMPANY', 'Nome Fantasia da Empresa:');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', 'Sexo:');
define('ENTRY_GENDER_ERROR', 'Por favor selecione o sexo.');
define('ENTRY_GENDER_TEXT', '*');
define('ENTRY_FIRST_NAME', 'Nome:');
define('ENTRY_FIRST_NAME_ERROR', 'Seu nome deve conter o mnimo de ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' caracteres.');
define('ENTRY_FIRST_NAME_TEXT', '*');
define('ENTRY_LAST_NAME', 'Sobrenome:');
define('ENTRY_LAST_NAME_ERROR', 'Seu sobrenome deve ter o mnimo de ' . ENTRY_LAST_NAME_MIN_LENGTH . ' caracteres.');
define('ENTRY_LAST_NAME_TEXT', '*');
define('ENTRY_DATE_OF_BIRTH', 'Data de Nascimento:');
define('ENTRY_DATE_OF_BIRTH_ERROR', 'Sua data de nascimento deve ser neste formato: DD/MM/YYYY (ex 21/05/1970)');
define('ENTRY_DATE_OF_BIRTH_TEXT', '* (ex. 21/05/1970)');
define('ENTRY_EMAIL_ADDRESS', 'E-Mail:');
define('ENTRY_EMAIL_ADDRESS_ERROR', 'Seu E-Mail deve conter o mnimo de' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' caracteres.');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', 'Seu E-mail no parece ser vlido - Por favor, faa as correes necessrias.');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', 'Seu E-mail j existe em nossa base de dados - por favor, entre com seu e-mail ou crie uma conta com endereo diferente.');
define('ENTRY_EMAIL_ADDRESS_TEXT', '*');
define('ENTRY_STREET_ADDRESS', 'Endereo:');
define('ENTRY_STREET_ADDRESS_ERROR', 'Seu endereo deve ter o mnimo de' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' caracteres.');
define('ENTRY_STREET_ADDRESS_TEXT', '*');
define('ENTRY_SUBURB', 'Bairro:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', 'CEP:');
define('ENTRY_POST_CODE_ERROR', 'Seu CEP deve ter o mnimo de' . ENTRY_POSTCODE_MIN_LENGTH . ' caracteres.');
define('ENTRY_POST_CODE_TEXT', '*');
define('ENTRY_CITY', 'Cidade:');
define('ENTRY_CITY_ERROR', 'Sua cidade deve ter o mnimo de' . ENTRY_CITY_MIN_LENGTH . ' caracteres.');
define('ENTRY_CITY_TEXT', '*');
define('ENTRY_STATE', 'Estado:');
define('ENTRY_STATE_ERROR', 'Seu estado deve ter o mnimo de ' . ENTRY_STATE_MIN_LENGTH . ' caracteres.');
define('ENTRY_STATE_ERROR_SELECT', 'Por favor selecione um estado');
define('ENTRY_STATE_TEXT', '* (Selecione o pas primeiro)');
define('ENTRY_COUNTRY', 'Pas:');
define('ENTRY_COUNTRY_ERROR', 'Voc deve selecionar um pas da lista abaixo.');
define('ENTRY_COUNTRY_TEXT', '* (A pgina refrescar quando mudada)');
define('ENTRY_TELEPHONE_NUMBER', 'Telefone:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', 'Seu telefone deve ter o mnimo de' . ENTRY_TELEPHONE_MIN_LENGTH . ' caracteres.');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '*');
define('ENTRY_FAX_NUMBER', 'Fax:');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', 'Receber e-mails promocionais:');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', 'Inscrito');
define('ENTRY_NEWSLETTER_NO', 'No Inscrito');
define('ENTRY_NEWSLETTER_ERROR', '');
define('ENTRY_PASSWORD', 'Senha:');
define('ENTRY_PASSWORD_ERROR', 'Sua senha deve ter o mnimo de' . ENTRY_PASSWORD_MIN_LENGTH . ' caracteres.');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', 'A confirmao de senha deve combinar com sua senha.');
define('ENTRY_PASSWORD_TEXT', '*');
define('ENTRY_PASSWORD_CONFIRMATION', 'Confirmao de Senha:');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT', 'Senha atual:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT_ERROR', 'Sua senha deve ter o mnimo de' . ENTRY_PASSWORD_MIN_LENGTH . ' caracteres.');
define('ENTRY_PASSWORD_NEW', 'Nova senha:');
define('ENTRY_PASSWORD_NEW_TEXT', '*');
define('ENTRY_PASSWORD_NEW_ERROR', 'Sua nova senha deve ter o mnimo de' . ENTRY_PASSWORD_MIN_LENGTH . ' caracteres.');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', 'A confirmao de senha deve combinar com sua senha.');
define('PASSWORD_HIDDEN', '--HIDDEN--');

// create_account.php  novas informaes
define('ENTRY_CPF_TEXT', '* apenas nmeros');
define('ENTRY_CPF', 'CPF:');
define('ENTRY_RAZAOSOCIAL_TEXT', '*');
define('ENTRY_RAZAOSOCIAL', 'Razo Social da Empresa:');
define('ENTRY_RAZAOSOCIAL_TEXT', '*');
define('ENTRY_CNPJ_TEXT', '* apenas nmeros');
define('ENTRY_CNPJ', 'CNPJ:');
define('ENTRY_INSESTADUAL_TEXT', '* apenas nmeros');
define('ENTRY_INSESTADUAL', 'Inscrio Estadual:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');



define('FORM_REQUIRED_INFORMATION', '* Preenchimento obrigatrio');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'Result Pages:');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'Mostrando<b>%d</b> para <b>%d</b> (de <b>%d</b> produtos)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'Mostrando <b>%d</b> para <b>%d</b> (de <b>%d</b> pedidos)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'Mostrando <b>%d</b> para <b>%d</b> (de <b>%d</b> comentrios)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', 'Mostrando<b>%d</b> para <b>%d</b> (de <b>%d</b> novos produtos)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'Mostrando <b>%d</b> para <b>%d</b> (de <b>%d</b> especiais)');
define('PREVNEXT_TITLE_FIRST_PAGE', 'Primeira Pgina');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', 'Pgina Anterior');
define('PREVNEXT_TITLE_NEXT_PAGE', 'Prxima Pgina');
define('PREVNEXT_TITLE_LAST_PAGE', 'ltima Pgina');
define('PREVNEXT_TITLE_PAGE_NO', 'Pgina %d');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'Conjunto Anterior de %d pginas');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'Prximo Conjunto de %d pginas');
define('PREVNEXT_BUTTON_FIRST', '&lt;&lt;PRIMEIRO');
define('PREVNEXT_BUTTON_PREV', '[&lt;&lt;&nbsp;ANT]');
define('PREVNEXT_BUTTON_NEXT', '[PRXIMONext&nbsp;&gt;&gt;]');
define('PREVNEXT_BUTTON_LAST', 'LTIMO&gt;&gt;');

define('IMAGE_BUTTON_ADD_ADDRESS', 'Adicionar endereo');
define('IMAGE_BUTTON_ADDRESS_BOOK', 'Livro de Endereos');
define('IMAGE_BUTTON_BACK', 'Voltar');
define('IMAGE_BUTTON_BUY_NOW', 'Compre Agora');
define('IMAGE_BUTTON_CHANGE_ADDRESS', 'Mudar Endereo');
define('IMAGE_BUTTON_CHECKOUT', 'Realizar Pedido');
define('IMAGE_BUTTON_CONFIRM_ORDER', 'Confirmar Pedido');
define('IMAGE_BUTTON_CONTINUE', 'Continuar');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', 'Continuar Comprando');
define('IMAGE_BUTTON_DELETE', 'Apagar');
define('IMAGE_BUTTON_EDIT_ACCOUNT', 'Editar Conta');
define('IMAGE_BUTTON_HISTORY', 'Histrico de Pedidos');
define('IMAGE_BUTTON_LOGIN', 'Assinar');
define('IMAGE_BUTTON_IN_CART', 'Adicionar ao carrinho');
define('IMAGE_BUTTON_NOTIFICATIONS', 'Notificaes');
define('IMAGE_BUTTON_QUICK_FIND', 'Busca Rpida');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', 'Remover Notificaes');
define('IMAGE_BUTTON_REVIEWS', 'Comentrios');
define('IMAGE_BUTTON_SEARCH', 'Busca');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', 'Opes de Envio');
define('IMAGE_BUTTON_TELL_A_FRIEND', 'Contar para um amigo');
define('IMAGE_BUTTON_UPDATE', 'Atualizar');
define('IMAGE_BUTTON_UPDATE_CART', 'Atualizar Carrinho');
define('IMAGE_BUTTON_WRITE_REVIEW', 'Escrever comentrio');

define('SMALL_IMAGE_BUTTON_DELETE', 'Apagar');
define('SMALL_IMAGE_BUTTON_EDIT', 'Editar');
define('SMALL_IMAGE_BUTTON_VIEW', 'Ver');

define('ICON_ARROW_RIGHT', 'mais');
define('ICON_CART', 'No carrinho');
define('ICON_ERROR', 'Erro');
define('ICON_SUCCESS', 'Sucesso');
define('ICON_WARNING', 'Ateno');

define('TEXT_GREETING_PERSONAL', 'Bem-vindo de volta <span class="greetUser">%s!</span>Voc gostaria de ver quais <a href="%s"><u> novos produtos</u></a> esto disponveis para comprar?');
define('TEXT_GREETING_PERSONAL_RELOGON', '<small>Se voc no  %s, por favor<a href="%s"><u>faa o login</u></a>com sua conta.</small>');
define('TEXT_GREETING_GUEST', 'Bem-vindo <span class="greetUser">Convidado!</span>Gostaria de <a href="%s"><u>fazer o login</u></a>? Ou prefere <a href="%s"><u>criar uma conta</u></a>?');

define('TEXT_SORT_PRODUCTS', 'Produtos sortidos');
define('TEXT_DESCENDINGLY', 'Descendente');
define('TEXT_ASCENDINGLY', 'Ascendente');
define('TEXT_BY', ' por ');

define('TEXT_REVIEW_BY', 'por %s');
define('TEXT_REVIEW_WORD_COUNT', '%s palavras');
define('TEXT_REVIEW_RATING', 'Cotar: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', 'Data adicionada: %s');
define('TEXT_NO_REVIEWS', 'No comentrios de produtos.');

define('TEXT_NO_NEW_PRODUCTS', 'No h produtos.');

define('TEXT_UNKNOWN_TAX_RATE', 'Taxa desconhecida');

define('TEXT_REQUIRED', '<span class="errorText">Requerido</span>');

define('ERROR_TEP_MAIL', '<font face="Verdana, Arial" size="2" color="#ff0000"><b><small>TEP ERRO:</small> No  posspivel enviar o email atravs do servidor SMTP especificado. Por favor, cheque seu php.ini e corrija o servidor STMP se necessrio.</b></font>');
define('WARNING_INSTALL_DIRECTORY_EXISTS', 'Ateno: Diretrio de instalao existente em: ' . dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install. por favor, remova o diretrio por razes de segurana.');
define('WARNING_CONFIG_FILE_WRITEABLE', 'Ateno: Eu estou apto a reescrever os arquivos de configurao: ' . dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php. Este  um risco de segurana - por favor, configure permisso de usurios para esse arquivo.');
define('WARNING_SESSION_DIRECTORY_NON_EXISTENT', 'Ateno: o diretrio de sessions  no existe: ' . tep_session_save_path() . '. Sessions no funcionaro se o diretrio no for criado.');
define('WARNING_SESSION_DIRECTORY_NOT_WRITEABLE', 'Ateno: Estou estou apto a reescrever o diretrio de sessions: ' . tep_session_save_path() . '. Sessions no funcionaro se voc no configurar corretamente as permisses de usurio.');
define('WARNING_SESSION_AUTO_START', 'Ateno: session.auto_start est habilitado - por favor desabilite esta funo no php.ini e restarte seu web server.');
define('WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT', 'Ateno: O diretrio de produtos no existe: ' . DIR_FS_DOWNLOAD . '. Os produtos no funcionaro se voc no tornar o diretrio vlido.');

define('FOOTER_TEXT_BODY', 'Direitos reservados &copy; ' . date('Y') . ' <a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . STORE_NAME . '</a><br>');

define('TEXT_CCVAL_ERROR_INVALID_DATE', 'A data de validade colocada para o carto de crdito  invlida.<br>Por favor, veja a data de  e tente de novo.');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', 'O nmero do carto de crdito  invlido.<br>Por favor, verifique o nmero e tente novamente.');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', 'Os primeiros 4 dgitos do nmero entrado so: %s<br>Se o nmero estiver correto, No no aceitamos este tipo de carto de crdito.<br>Se estiver errado, tente de novo.');

define('BOX_HEADING_LOGIN', 'Entrar');
define('BOX_HEADING_LOGED', 'Minha conta');
define('BOX_HEADING_WELLCOME', 'Bem-vindo!');
define('BOX_LOGIN_USERNAME', 'Seu Email');
define('BOX_LOGIN_PASSWORD', 'Senha');
define('BOX_LOGIN_NEWACCOUNT', 'Cadastre-se');
define('BOX_LOGIN_PASSWORD_FORGOTTEN', 'Esqueceu a senha?');
define('BOX_LOGIN_LOGOUT', 'Sair');
define('BOX_LOGIN_VIEW', 'Ver minha conta');

define('BOX_HEADING_EXTRA','Favoritos');
define('BOX_EXTRA_FAVOURITES','Adicionar aos Favoritos');
define('BOX_EXTRA_STARTPAGE','Definir como Pgina Inicial');

define('BOX_HEADING_WHOS_ONLINE', 'Estatsticas');
define('BOX_WHOS_ONLINE_THEREIS', 'No momento h<br>');
define('BOX_WHOS_ONLINE_THEREARE', 'No momento h<br>');
define('BOX_WHOS_ONLINE_GUEST', 'Visitante');
define('BOX_WHOS_ONLINE_GUESTS', 'Visitantes');
define('BOX_WHOS_ONLINE_AND', 'e');
define('BOX_WHOS_ONLINE_MEMBER', 'Cliente');
define('BOX_WHOS_ONLINE_MEMBERS', 'Clientes');

define('ENTRY_EXTRA_FIELDS_ERROR','Campo %s dever conter no minimode %d caracter');
define('CATEGORY_EXTRA_FIELDS', 'Campo Extra');

// Customer Testimonials
define('BOX_HEADING_CUSTOMER_TESTIMONIALS', 'Testemunhos');
define('BOX_INFORMATION_CUSTOMER_TESTIMONIALS', 'Testemunhos');
define('TABLE_HEADING_TESTIMONIALS_ID', 'ID');
define('TABLE_HEADING_TESTIMONIALS_NAME', 'Nome');
define('TABLE_HEADING_TESTIMONIALS_DESCRIPTION', 'Apreciaes');
define('TEXT_READ_MORE', '(leia mais)');
define('TEXT_TESTIMONY_TITLE', 'Ttulo: ');
define('TEXT_TESTIMONY_BY', 'Testemunho por: ');
define('TEXT_TESTIMONY_DATE_ADDED', 'A data adicionou: ');
define('TEXT_TESTIMONY_OF', ' de ');
define('TEXT_MAILTO', 'email a:');
define('TEXT_EMAIL_AUTHOR', 'Clique para enviar por correio electrnico o autor');
define('IMAGE_BUTTON_SUBMIT', 'Submeta a ' . STORE_NAME);
define('IMAGE_BUTTON_WRITE', 'Escreva a Apreciaes');

// CST v1.11
define('NO_TESTIMONIALS_TEXT', 'Desculpe. No Testemunhos esto disponveis para o seu idioma.');

// reCaptcha
define('ENTRY_SECURITY_CHECK', 'Cdigo de Segurana:');
define('ENTRY_SECURITY_CHECK1', 'Cdigo de Segurana');
define('ENTRY_SECURITY_CHECK_ERROR', 'O cdigo da segurana no foi dado entrada corretamente');
?>